#include <iostream>

using namespace std;

int najveci(int arr[],int n,int m){
    int i=m;
    int k=i;
    if(arr[k]==9) return k;
    i++;
    for(;i<n;i++){
        if(arr[i]==9) return i;
        else if(arr[i]>arr[k]) k=i;
    }
    return k;
}
void zameni(int arr[],int i,int j){
    int k=arr[i];
    arr[i]=arr[j];
    arr[j]=k;
}

int main()
{
    int n;
    cin>>n;
    int arr[n];
    for(int i=0;i<n;i++){
        cin>>arr[i];
    }
    bool m=false;
    for(int i=0;i<n-1;i++){
        if(arr[i]>arr[i+1]){
            m=true;
            break;
        }
    }
    if(!m){
    for(int i=0;i<n-1;i++){
        if(arr[i]!=9){
            int x=najveci(arr,n,i+1);
            cout<<x<<endl;
            if(arr[x]>arr[i]&&arr[x]!=0){
                zameni(arr,i,x);
            }
        }
    }
}
    else{
        zameni(arr,n-1,n-2);
    }
    for(int i=0;i<n-1;i++){
        cout<<arr[i]<<" ";
    }
    cout<<arr[n-1];
    cout<<endl;
    return 0;
}